@import url('https://fonts.googleapis.com/css2?family=PT+Sans&family=PT+Serif:wght@400;700&display=swap');
:root {
  --lightGrey: hsl(0, 0%, 80%);
  --buyGreen: hsl(166, 92%, 26%);
  --bgBody: hsl(36, 20%, 95%);
  --shadow: 0px 2px 4px 2px hsl(0, 0%, 50%);
  --articleBg: hsl(0, 0%, 91%);
  --borderFooter: hsl(0, 0%, 81%);
}
body {
    font-family: "PT Sans", sans-serif;
    margin-top: 0;
}
.container {
    max-width: 1200px;
    margin: 0 auto;
}
/*------------------*/
/*  3_kompleks_top  */
/*------------------*/

.top-black-bar ul, .logobox, nav, nav ul, main, .product, .footer-top{
    display: flex;
}
.top-black-bar ul, nav{
    justify-content: center;
}
.logobox, main{
    justify-content: space-around;
}
nav {
    align-content: center;
}
.top-black-bar ul {
    margin-top: 0;
}
.top-black-bar {
    background-color: black;
    color: white;
}
.top-black-bar li, nav ul{ 
    padding-right: 1.5rem;
}
.top-black-bar li {
    font-size: 0.75rem;
    padding-top: 0.3rem;
    padding-bottom: 0.3rem;
}
.top-black-bar li:first-child, nav ul, .footer-top ul {
    list-style: none;
}
.logobox {
    padding-right: 35%;
    padding-bottom: 1rem;
    border-bottom: 1px solid hsl(0, 0%, 80%);
}
.logobox img {
    align-self: center;
}
.logobox button, main {
    font-family: "PT Serif", "serif" ;
}
.logobox button {
    background-color: white;
    font-weight: bold;
    border-color: hsl(0, 0%, 80%);
    border-style: solid;
    border-radius: 30px;
    padding-right: 1rem;
    padding-left: 1rem;
    transition: border-color 0.5s;
}
.logobox button:hover {
 border-color: black;
}
.logobox button:active, .Searchbar {
background-color: hsl(0, 0%, 93%);
}
nav {
    background-color: white;
    padding-right: 1rem;
    box-shadow: 1px 2px hsl(0, 0%, 80%);
    position: sticky;
    top: -1px;
}
nav a, .footer-top a {
    text-decoration: none;
    color: black;
}
nav a {
    padding: 0.8rem 0.75rem;
    font-size: 0.9rem;
}
nav a:hover {
    border-bottom: 0.2rem solid hsl(0, 0%, 80%) ;
}
.Searchbar, nav img {
    margin-right: 1rem; 
    height: 2rem;   
}
.Searchbar {
    flex: 1;
    background-image: url("../img/zoom.png");
    background-size: 1.5rem auto;
    background-repeat: no-repeat;
    background-position: 0.5rem;
    border: none;
    border-radius: 30px;
    width: auto;
    align-self: center;
    padding-left: 3rem;

}
.Searchbar:focus {
    outline: none;
}
nav img {
    width: 2rem;
    margin-top: 0.5rem;
}
/*------------------*/
/*  3_kompleks_midt  */
/*------------------*/
main, .footer-bottom {
    background-color: hsl(36, 19%, 95%);
}
main {
    margin-top: 2px;
    flex-wrap: wrap;
    padding-bottom: 4rem;
    padding-top: 1rem;
}
.product {
    background-color: var(--articleBg);
    flex-direction: column;
    justify-content: space-between;
    width: 21rem;
    border-radius: 10px;
    margin-top: 2rem;
}
.product:hover {
    box-shadow: var(--shadow);
}
.product img {
    max-height: 21rem;
    max-width: 21rem;
    align-self: center;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
}
.product p {
    text-align: center;
    font-size: 0.8rem;
}
.bold {
 font-weight: bold;
}
.info-box {
    background-color: white;
    border-radius: 10px;
}
.product form {
    display: flex;
    justify-content: flex-end;
}
.price {
    font-size: 0.8rem;
    padding: 0 2rem 1rem 1rem;
}
.buy-box {
    display: flex;
    margin-right: 1rem;
    margin-bottom: 1rem;
}
.amount {
    border: solid 2px var(--buyGreen);
    border-radius: 90px 0 0 90px;
    text-align: center;
    width: 30%;
    padding: 0.5rem 0 0.5rem 0;
    margin-left: 1%;
    border-right: none;
    color: var(--buyGreen);
}
.amount:focus {
    outline: none;
}
.buy-box button {
    background-color: var(--buyGreen);
    color: white;
    border: none;
    width: 65%;
    border-bottom-right-radius: 90px;
    border-top-right-radius: 90px;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}
.buy-box button:active {
    background-color: hsl(166, 92%, 20%);
}
.footer-top {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}
.footer-top ul {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    margin-left: 5rem;
}
.footer-top li:nth-child(n+2), .footer-bottom {
    font-size: 0.8rem;
}
.icons {
    font-size: 1.7rem;
}
.social {
border-left: solid 1px var(--lightGrey);
}
.footer-bottom {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-top: 2rem;
    padding-bottom: 2rem;
}
.footer-bottom img {
    padding-right: 1rem;
    width: 3rem;
}
.get-started {
    position: fixed;
    bottom: 1rem;
    background-color: var(--bgBody);
    border: 1px solid black;
    font-size: 0.7rem;
    padding: 1rem;
    text-decoration: none;
    color: black;
    margin-left: 0.5rem;
}